package futils.utils;

import java.awt.*;

public final class Draw {

// prevent instantiation
    private Draw() {
    }


    public static void grid(int grid_spacing, Graphics g, Color c) {
        Rectangle r = g.getClipBounds();

        int w = r.width;
        int h = r.height;

        Color oldColor = g.getColor();
        g.setColor(c);

        for (int x = 0; x < w; x = x + grid_spacing) {
            g.drawLine(x, 0, x, h);
        }

        for (int y = 0; y < h; y = y + grid_spacing) {
            g.drawLine(0, y, w, y);
        }

        g.setColor(oldColor);

    }
}