package graphics;

import java.awt.*;

public class CircleComponent
        extends Component {

    CircleComponent(int w, int h) {
        setSize(w, h);
    }

    public void paint(Graphics g) {
        setBackground(Color.white);
        Point pt = getLocation();
        Dimension d = getSize();
        g.drawOval(0, 0, d.width, d.height);
    }

    public static void main(String args[]) {
        ComponentMoveFrame f = new ComponentMoveFrame();
        for (int i = 0; i < 10; i++)
            f.add(new CircleComponent(100, 100));
        f.setVisible(true);
    }

}